%Script to load and clean the weather data for Rørvik

%Read the data:
lat=double(ncread('Rorvik.nc','latitude'));
lon=double(ncread('Rorvik.nc','longitude'));
swh=double(ncread('Rorvik.nc','swh'));

%Extract waveheight data:
HsCSV=squeeze(swh(:,:,1,:));
HsCSV(3,2,:)=HsCSV(4,1,:); %Move 'lone' coordinate up to matrix location that used to hold Nan
HsCSVnoNaN=zeros(3,2,7544); %Create zero matrix (length is length to Nan appears)
HsCSVnoNaN(1:3,1:2,:)=HsCSV(1:3,1:2,1:7544); %Remove the NaN values
HsCSVavg=mean(HsCSVnoNaN,[1 2]); %Calculate the average of the six data points
HsCSV=HsCSVavg; %Store the average in HsCSV, to be used in Marcov Chain



